#
#   Python GUI - Test windows
#

import GUI

class TestWindow(GUI.Window):

    def mouse_down(self, event):
        print "Mouse down:", event
    
    def key_down(self, event):
        print "Key down:", event

    def key_up(self, event):
        print "Key up:", event

win1 = TestWindow(title = "Hello PyGUI!", 
    position = (50, 70), auto_position = False)
win1.show()

win2 = TestWindow(title = "Hello Again!", auto_position = False, 
    position = (300, 70), size = (400, 300), resizable = 0)
win2.show()

instructions = """
There should be two windows, one titled 'Hello PyGUI!' positioned at (50, 70)
and resizable, and one titled 'Hello Again!' positioned at (300, 70) with
size (400, 300) and not resizable. Both should be movable and closable.
Mouse down and key events in the windows should be reported.
"""

print instructions
GUI.application().run()
